<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<!--
IGAC proyecto SNC

@author rodrigo.hernandez

@description  página par administracion de Radicaciones


@Managed Bean AdministracionRadicacionesMB
 
@version  2.0

-->


<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:fn="http://java.sun.com/jsp/jstl/functions"
                xmlns:p="http://primefaces.org/ui"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                xmlns:avaluos="http://java.sun.com/jsf/composite/avaluos"
                template="/templates/generalCU.xhtml">

    <ui:define name="title">.::Sistema Nacional Catastral::. .::Administrar Radicaciones::.</ui:define>
    <ui:define name="content">
        <h:form id="recibirDocsForm">
            <p:focus />
            <p:messages id="msgsRD" showDetail="false" globalOnly="false" />

            <p:fieldset id="busquedaTramitesSolicitudesFS">
                <legend>
                    <h:outputText value="Búsqueda de trámites" styleClass="legendTitle" />
                </legend>

                <h:panelGrid columns="3" width="100%" style="padding:20px">

                    <h:panelGrid columns="2" cellspacing="7"
                                 columnClasses="colPequena, colMediana" width="100%">

                        <h:outputLabel value="Radicado" styleClass="outputLabelStyle" />
                        <h:inputText
                            value="#{recibirDocumentacion.numeroRadicadoSolicitud}" />
                    </h:panelGrid>

                    <h:panelGrid columns="2" width="100%"
                                 columnClasses="colPequena, colMediana">
                        <h:outputLabel value="Tipo trámite" styleClass="outputLabelStyle" />
                        <h:selectOneMenu 
                            value="#{recibirDocumentacion.tipoTramite}">
                            <f:selectItem itemLabel="Seleccione tipo de tramite..." />
                            <f:selectItems value="#{general.avaluosComercialesTipoTramite}" />
                        </h:selectOneMenu>
                    </h:panelGrid>

                    <h:panelGrid columns="2" width="100%"
                                 columnClasses="colPequena, colMediana">
                        <h:outputLabel value="Tipo de empresa"
                                       styleClass="outputLabelStyle" />
                        <h:selectOneMenu id="tipoEmpresa" label="Tipo de empresa"
                                         value="#{recibirDocumentacion.tipoEmpresa}">
                            <f:selectItem itemLabel="Seleccione tipo de empresa..."
                                          itemValue="" />
                            <f:selectItems value="#{general.personaTipoPersonaV}" />
                            <p:ajax listener="#{recibirDocumentacion.onChangeTipoEmpresa}"
                                    update="busquedaTramitesSolicitudesFS"
                                    onstart="statusDialog2.show();"
                                    oncomplete="statusDialog2.hide();" />
                        </h:selectOneMenu>
                    </h:panelGrid>

                    <h:panelGrid columns="2" width="100%"
                                 columnClasses="colPequena, colMediana"
                                 rendered="#{recibirDocumentacion.banderaTipoEmpresaSeleccionado and
                                             !recibirDocumentacion.banderaTipoEmpresaEsNatural}">
                        <h:outputLabel value="Razón social" styleClass="outputLabelStyle" />
                        <h:inputText value="#{recibirDocumentacion.razonSocial}" />
                    </h:panelGrid>

                    <h:panelGrid columns="2" width="100%"
                                 columnClasses="colPequena, colMediana"
                                 rendered="#{recibirDocumentacion.banderaTipoEmpresaSeleccionado and
                                             !recibirDocumentacion.banderaTipoEmpresaEsNatural}">
                        <h:outputLabel value="Sigla" styleClass="outputLabelStyle" />
                        <h:inputText value="#{recibirDocumentacion.sigla}" />
                    </h:panelGrid>

                    <h:panelGrid columns="2" width="100%"
                                 columnClasses="colPequena, colMediana"
                                 rendered="#{recibirDocumentacion.banderaTipoEmpresaSeleccionado and
                                             recibirDocumentacion.banderaTipoEmpresaEsNatural}">
                        <h:outputLabel value="Primer apellido"
                                       styleClass="outputLabelStyle" />
                        <h:inputText value="#{recibirDocumentacion.primerApellido}" />
                    </h:panelGrid>

                    <h:panelGrid columns="2" width="100%"
                                 columnClasses="colPequena, colMediana"
                                 rendered="#{recibirDocumentacion.banderaTipoEmpresaSeleccionado and
                                             recibirDocumentacion.banderaTipoEmpresaEsNatural}">
                        <h:outputLabel value="Segundo apellido"
                                       styleClass="outputLabelStyle" />
                        <h:inputText value="#{recibirDocumentacion.segundoApellido}" />
                    </h:panelGrid>

                    <h:panelGrid columns="2" width="100%"
                                 columnClasses="colPequena, colMediana"
                                 rendered="#{recibirDocumentacion.banderaTipoEmpresaSeleccionado and
                                             recibirDocumentacion.banderaTipoEmpresaEsNatural}">
                        <h:outputLabel value="Primer nombre" styleClass="outputLabelStyle" />
                        <h:inputText value="#{recibirDocumentacion.primerNombre}" />
                    </h:panelGrid>

                    <h:panelGrid columns="2" width="100%"
                                 columnClasses="colPequena, colMediana"
                                 rendered="#{recibirDocumentacion.banderaTipoEmpresaSeleccionado and
                                             recibirDocumentacion.banderaTipoEmpresaEsNatural}">
                        <h:outputLabel value="Segundo nombre"
                                       styleClass="outputLabelStyle" />
                        <h:inputText value="#{recibirDocumentacion.segundoNombre}" />
                    </h:panelGrid>

                </h:panelGrid>

                <p:outputPanel layout="block" style="text-align:left"
                               id="buscarPanel">
                    <p:spacer height="10" width="20" />
                    <p:commandButton value="Buscar" icon="ui-icon-search"
                                     action="#{recibirDocumentacion.buscarSolicitudes}"
                                     onstart="statusDialog2.show();" onsuccess="statusDialog2.hide();"
                                     update="resultadosBusquedaFS, msgsRD" />
                </p:outputPanel>
            </p:fieldset>

            <p:spacer height="20" />

            <p:fieldset id="resultadosBusquedaFS">

                <h:panelGrid width="100%"
                             rendered="#{recibirDocumentacion.banderaTramiteEncontrado}">

                    <legend>
                        <h:outputText value="Información de trámites"
                                      styleClass="legendTitle" />
                    </legend>

                    <p:spacer height="20" />

                    <p:dataTable var="avaluo" id="tramitesTable"
                                 widgetVar="avaluoTableWV"
                                 value="#{recibirDocumentacion.listaAvaluos}" rows="10"
                                 rowsPerPageTemplate="10" paginator="true"
                                 paginatorPosition="bottom" rowKey="#{avaluo.id}"
                                 emptyMessage="No existen trámites"
                                 selection="#{recibirDocumentacion.avaluosSeleccionados}"
                                 selectionMode="multiple">


                        <f:facet name="header">  
                            Trámites
                        </f:facet>

                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="Información predial" />
                            </f:facet>

                            <p:commandButton title="Información de los predios del avalúo"
                                             icon="ui-icon-home"
                                             action="#{consultaInformacionPredial.cargarInformacionPredial}"
                                             update=":prediosAvaluoForm" onstart="statusDialog2.show();"
                                             oncomplete="statusDialog2.hide();
                                             handleCompleteSIC(xhr, status, args, infoPredialWV, true);">
                                <f:setPropertyActionListener value="#{avaluo}"
                                                             target="#{consultaInformacionPredial.avaluoSeleccionado}" />
                            </p:commandButton>

                        </p:column>

                        <p:column >
                            <f:facet name="header">
                                <h:outputText value="Radicado" />
                            </f:facet>

                            <p:commandLink id="solicitudLink-2" styleClass="commandLinkStyle"
                                           onstart="statusDialog2.show();" update=":isCC:infoSolicitudTV"
                                           oncomplete="infoSolicitudCCWV.show();statusDialog2.hide()"
                                           value="#{avaluo.tramite.solicitud.numero}"
                                           action="#{consultaInformacionSolicitud.consultarSolicitud}">
                                <f:setPropertyActionListener
                                    value="#{valuo.tramite.solicitud.numero}"
                                    target="#{consultaInformacionSolicitud.numeroRadicacion}" />

                            </p:commandLink>
                        </p:column>

                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="Sec.Radicado" />
                            </f:facet>
                            <h:outputText value="#{avaluo.secRadicado}" />
                        </p:column>

                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="Tipo trámite" />
                            </f:facet>
                            <h:outputText styleClass="outputTextStyle"
                                          id="AvaluosComercialesTipoTramite-1"
                                          value="#{avaluo.tramite.tipoTramite}">
                                <f:converter converterId="converterCB"
                                             for="AvaluosComercialesTipoTramite-1" />
                            </h:outputText>
                        </p:column>

                        <p:column
                            filterBy="#{avaluo.avaluoPredios[0].departamento.nombre}"
                            filterMatchMode="contains"
                            sortBy="#{avaluo.avaluoPredios[0].departamento.nombre}">
                            <f:facet name="header">
                                Departamento		
                            </f:facet>
                            <p:commandLink
                                value="#{avaluo.avaluosPredios[0].departamento.nombre}"
                                rendered="#{avaluo.tienePrediosEnDiferentesDeptos}"
                                styleClass="commandLinkStyle"
                                action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                                update=":consultarDepartamentosMunicipioForm"
                                onstart="statusDialog2.show();"
                                oncomplete="statusDialog2.hide();
                                handleCompleteSIC(xhr, status, args, infoDeptosMunisWV, true);">
                                <f:setPropertyActionListener value="#{avaluo}"
                                                             target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}" />
                            </p:commandLink>

                            <h:outputText
                                rendered="#{!avaluo.tienePrediosEnDiferentesDeptos}"
                                value="#{avaluo.avaluoPredios[0].departamento.codigo} - #{avaluo.avaluoPredios[0].departamento.nombre}" />
                        </p:column>

                        <p:column filterBy="#{avaluo.avaluoPredios[0].municipio.nombre}"
                                  filterMatchMode="contains"
                                  sortBy="#{avaluo.avaluoPredios[0].municipio.nombre}">
                            <f:facet name="header">
                                Municipio			
                            </f:facet>
                            <p:commandLink
                                value="#{avaluo.avaluosPredios[0].departamento.nombre}"
                                rendered="#{avaluo.tienePrediosEnDiferentesDeptos}"
                                styleClass="commandLinkStyle"
                                action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                                update=":consultarDepartamentosMunicipioForm"
                                onstart="statusDialog2.show();"
                                oncomplete="statusDialog2.hide();
                                handleCompleteSIC(xhr, status, args, infoDeptosMunisWV, true);">
                                <f:setPropertyActionListener value="#{avaluo}"
                                                             target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}" />
                            </p:commandLink>

                            <h:outputText
                                rendered="#{!avaluo.tienePrediosEnDiferentesDeptos}"
                                value="#{avaluo.avaluoPredios[0].departamento.codigo} - #{avaluo.avaluoPredios[0].departamento.nombre}" />
                        </p:column>



                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="Solicitante" />
                            </f:facet>
                            <h:outputText styleClass="outputTextStyle" id="solicitante"
                                          value="#{avaluo.solicitante.nombreCompleto}">
                            </h:outputText>
                        </p:column>

                        <p:column headerText="Nombre avaluador">

                            <p:commandLink value="#{avaluo.avaluadores[0].nombreCompleto}"
                                           styleClass="commandLinkStyle"
                                           action="#{consultarAvaluadoresAsignados.cargarAvaluadoresAsignados}"
                                           update=":consultarAvaluadoresAsignadosPG"
                                           onstart="statusDialog2.show();"
                                           oncomplete="statusDialog2.hide();
                                           infoAvaluadoresAsignadosWV.show();"
                                           rendered="#{avaluo.tieneMultiplesAvaluadores}">
                                <f:setPropertyActionListener value="#{avaluo.secRadicado}"
                                                             target="#{consultarAvaluadoresAsignados.secRadicado}" />
                            </p:commandLink>
                            <h:outputText rendered="#{!avaluo.tieneMultiplesAvaluadores}"
                                          value="#{avaluo.avaluadores[0].nombreCompleto}" />

                        </p:column>
                    </p:dataTable>
                </h:panelGrid>

                <h:panelGrid width="100%"
                             rendered="#{!recibirDocumentacion.banderaTramiteEncontrado}">

                    <legend>
                        <h:outputText value="Información de solicitudes"
                                      styleClass="legendTitle" />
                    </legend>

                    <p:spacer height="20" />

                    <p:dataTable var="solicitud" id="solicitudesTable"
                                 widgetVar="solicitudesTableWV"
                                 value="#{recibirDocumentacion.listaSolicitudes}" rows="10"
                                 rowKey="#{solicitud.id}" emptyMessage="No existen solicitudes"
                                 rowsPerPageTemplate="10" paginator="true"
                                 paginatorPosition="bottom"
                                 selection="#{recibirDocumentacion.solicitudesSeleccionadas}"
                                 selectionMode="multiple">

                        <p:ajax event="rowSelect"
                                listener="#{recibirDocumentacion.validarTramitesSolicitudesSeleccionadas}"
                                update=":documentosCorrespondenciaPG" />

                        <p:ajax event="rowUnselect"
                                listener="#{recibirDocumentacion.validarTramitesSolicitudesSeleccionadas}"
                                update=":documentosCorrespondenciaPG" />

                        <f:facet name="header">  
                            Solicitudes
                        </f:facet>

                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="Radicado" />
                            </f:facet>
                            <p:commandLink id="solicitudLink-2" styleClass="commandLinkStyle"
                                           onstart="statusDialog2.show();" update=":isCC:infoSolicitudTV"
                                           oncomplete="infoSolicitudCCWV.show();statusDialog2.hide()"
                                           value="#{solicitud.numero}"
                                           action="#{consultaInformacionSolicitud.consultarSolicitud}">
                                <f:setPropertyActionListener value="#{solicitud.numero}"
                                                             target="#{consultaInformacionSolicitud.numeroRadicacion}" />
                            </p:commandLink>
                        </p:column>

                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="Tipo trámite" />
                            </f:facet>
                            <h:outputText styleClass="outputTextStyle"
                                          id="AvaluosComercialesTipoTramite-1" value="#{solicitud.tipo}">
                                <f:converter converterId="converterCB"
                                             for="AvaluosComercialesTipoTramite-1" />
                            </h:outputText>
                        </p:column>

                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="Solicitante" />
                            </f:facet>
                            <h:outputText styleClass="outputTextStyle" id="solicitante"
                                          value="#{solicitud.solicitante.nombreCompleto}">
                            </h:outputText>
                        </p:column>

                    </p:dataTable>
                </h:panelGrid>

                <p:spacer height="10" />

                <p:outputPanel layout="block" style="text-align:left">
                    <p:commandButton value="Asociar Correspondencia"
                                     action="#{recibirDocumentacion.validarTramitesSolicitudesSeleccionadas}"
                                     onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();"
                                     icon="ui-icon-circle-plus" update=":documentosCorrespondenciaPG, msgsRD" />
                </p:outputPanel>

                <p:spacer height="10" />

            </p:fieldset>
        </h:form>

        <p:spacer height="10" />

        <!-- ................... INCLUDE DE PAGINA DE CU-SA-AC-047 - ADMIN RADICACIONES ................... -->
        <h:panelGrid id="documentosCorrespondenciaPG" width="100%">
            <h:panelGrid width="100%"
                         rendered="#{recibirDocumentacion.banderaSeleccionTramitesSolicitudesValida}">
                <ui:include src="/avaluos/radicacion/administrarRadicaciones.xhtml">
                    <ui:param name="managedBeanParam" value="#{recibirDocumentacion}" />
                </ui:include>
            </h:panelGrid>
        </h:panelGrid>

        <h:form id="panelCerrarForm">
            <p:separator style="width:925px;height:3px" />
            <p:spacer height="7" width="0" />
            <p:outputPanel layout="block" style="text-align:right">
                <p:commandButton value="Cerrar"
                                 action="#{recibirDocumentacion.cerrar}" icon="ui-icon-circle-close"
                                 immediate="true" ajax="false" />
                <p:spacer height="0" width="30" />
            </p:outputPanel>
            <p:spacer height="20" width="0" />
        </h:form>


        <!-- ................... COMPOSITE COMPONENTS ................... -->

        <misc:ultimateConfirmDialogCC
            confirmMessage="¿Está seguro de eliminar el archivo anexo seleccionado?"
            confirmUpdateOnYes=":panelCerrarForm"
            confirmDialogWV="confirmacionAdicionAnexoWV"
            voidActionOnYes="#{recibirDocumentacion.guardar}" yesLabel="Aceptar"
            noLabel="Cancelar" 
            useStringActionOnNo="false" useStringActionOnYes="false" actionOnNoIsClose="true"/>

        <misc:ultimateConfirmDialogCC
            confirmMessage="¿Está seguro de adicionar los documentos a la solicitud?"
            confirmUpdateOnYes=":adminAnexosDocsFaltantesForm:anexosFS"
            confirmDialogWV="confirmacionEliminarAnexoWV"
            voidActionOnYes="#{recibirDocumentacion.eliminarAnexo}"
            yesLabel="Aceptar" noLabel="Cancelar" 
            useStringActionOnNo="false" useStringActionOnYes="false" actionOnNoIsClose="true"/>

        <misc:docViewerWithCloseDecisionCC id="docViewer"
                                           confirmUpdate=":documentacionPagosTV:administrarDocumentacionAvaluoForm:msgsDocTramiteAvaluo"
                                           confirmDialogWV="docAvaluosViewerWV" ajaxBehavior="true"
                                           selectedDocumentAtt="#{previsualizacionDocumento.rutaArchivoTemporal}"
                                           showDownloadButton="#{previsualizacionDocumento.documentoDwg}"
                                           fileContent="#{previsualizacionDocumento.reporteDTO.streamedContentReporte}"
                                           doctypeAtt="#{recibirDocumentacion.tipoMimeDocTemporal}"
                                           headerLabel="Previsualización de documento" noRendered="false"
                                           yesRendered="false" />

        <avaluos:informacionSolicitudCC id="isCC"
                                        thisWVName="infoSolicitudCCWV" thisId="isCC" mostrarInfoPago="false"
                                        detallePredioWVName="detallesPredioWV" detallePredioId="dpCC"
                                        infoPredialWVName="prediosWV" infoPredialId="pdsDialog"
                                        managedBean="#{consultaInformacionSolicitud}" />


        <!-- ................... DIALOGO PARA INFORMACION DE SOLICITANTE DE LA SOLICITUD ................... -->
        <p:dialog header="Adicionar solicitante" dynamic="true"
                  widgetVar="addSolicitanteDialogWV" width="900" appendToBody="true"
                  modal="true">
            <p:panel header="Datos del solicitante">
                <ui:include src="/avaluos/util/capturaDatosSolicitante.xhtml">
                    <ui:param name="adicionarSolicitanteWvParam"
                              value="guardarSolicitanteConfirmationWV" />
                </ui:include>
            </p:panel>
        </p:dialog>

        <!-- ................... DIALOGO PARA ANEXOS DE LA SOLICITUD ................... -->
        <p:dialog id="adminAnexos" widgetVar="administrarAnexosWV"
                  header="Anexos relacionados" appendToBody="true" closable="true"
                  minimizable="false" dynamic="true" width="900">
            <ui:include src="/avaluos/ingresoSolicitud/administrarAnexos.xhtml">
                <ui:param name="managedBeanParam"
                          value="#{administracionDocumentacionAvaluoComercial}" />
            </ui:include>
        </p:dialog>


        <!-- ................... DIALOGO PARA INFORMACION DE DETALLES DE DOCUMENTOS FALTANTES ................... -->
        <p:dialog widgetVar="detallesDocsFaltantesWV"
                  header="Detalles de documentos faltantes" appendToBody="true"
                  closable="true" minimizable="false" id="detallesDocsFaltantesDialog"
                  modal="true" dynamic="true" width="800" height="535">
            <ui:include
                src="/avaluos/radicacion/cargarDetallesDocumentacionFaltante.xhtml" />
        </p:dialog>

        <!-- ................... DIALOGO PARA CARGAR ANEXOS DE DETALLES DE DOCUMENTOS FALTANTES ................... -->
        <p:dialog widgetVar="anexosDocsFaltantesWV"
                  header="Anexos de documentos faltantes" appendToBody="true"
                  closable="true" minimizable="false" id="anexosDocsFaltantesDialog"
                  modal="true" dynamic="true" width="500">
            <ui:include
                src="/avaluos/radicacion/cargarAnexosDocumentosFaltantes.xhtml" />
        </p:dialog>

        <!-- ................... DIALOGO PARA ADMIN DE ANEXOS DE DETALLES DE DOCUMENTOS FALTANTES ................... -->
        <p:dialog widgetVar="adminAnexosDocsFaltantesWV"
                  header="Administración de anexos de documentos faltantes"
                  appendToBody="true" closable="true" minimizable="false"
                  id="adminAnexosDocsFaltantesDialog" modal="true" dynamic="true"
                  width="800">
            <ui:include
                src="/avaluos/radicacion/adminAnexosDocumentosFaltantes.xhtml">

                <ui:param name="detalleDocumentoFaltanteParam"
                          value="#{recibirDocumentacion.detalleDocumentoFaltante}" />
                <ui:param name="banderaEsDocumentoAdicionalParam"
                          value="#{recibirDocumentacion.banderaEsAnexoAdicional}" />

            </ui:include>
        </p:dialog>

        <!-- ................... DIALOGOS PARA CASO DE USO 093 ................... -->
        <p:dialog widgetVar="infoDeptosMunisWV"
                  header="Municipios y departamentos asociados al avalúo"
                  appendToBody="true" closable="true" minimizable="false"
                  resizable="false" dynamic="true" modal="true" width="600">
            <ui:include
                src="/avaluos/transversal/consultarDepartamentosMunicipiosAvaluo.xhtml" />
        </p:dialog>


        <!-- ................... DIALOGOS PARA CASO DE USO 068 ................... -->
        <p:dialog widgetVar="infoPredialWV" id="pdsDialog"
                  header="Información de los predios asociados al avalúo"
                  appendToBody="true" closable="true" minimizable="false"
                  resizable="false" dynamic="true" modal="true" width="850">
            <ui:include
                src="/avaluos/transversal/consultarInformacionPredial.xhtml" />
        </p:dialog>

        <predio:detallesPredioCC id="dpCC" thisWVName="detallesPredioWV"
                                 mostrarDatosTramites="false" thisIdPlusColon=":dpCC"
                                 mostrarFichaPredial="false" />

        <ui:include src="/util/visorGeografico.xhtml" />


        <!-- ................... DIALOGOS PARA CASO DE USO 128 ................... -->
        <p:dialog widgetVar="infoAvaluadoresAsignadosWV"
                  header="Profesionales de avalúos" appendToBody="true" closable="true"
                  minimizable="false" resizable="false" dynamic="true" modal="true"
                  width="750">
            <ui:include
                src="/avaluos/asignacion/consultarAvaluadoresAsignados.xhtml" />
        </p:dialog>


        <!-- ................... DIALOGOS PARA CASO DE USO 146 ................... -->
        <p:dialog header="Reclasificar trámite o documento" dynamic="true"
                  widgetVar="reclasificarTramiteDocumentoDialogWV" width="988"
                  appendToBody="true" modal="true">
            <p:ajax event="close"
                    listener="#{administracionRadicacionesAvaluo.buscarListaRadicacionesAvaluos}" />
            <p:spacer height="5" />
            <p:panel>
                <ui:include
                    src="/avaluos/radicacion/reclasificarDocumentoTramite.xhtml" />
            </p:panel>
        </p:dialog>
    </ui:define>
</ui:composition>